<assembly
    xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
  <id>bin</id>
  <formats>
    <format>tar.gz</format>
    <!--format>dir</format>
    <format>tar.bz2</format>
    <format>zip</format-->
  </formats>
  <moduleSets>
    <moduleSet>
      <!-- add all dependencies except autoquest-runner into the lib directory -->
      <!-- useAllReactorProjects>true</useAllReactorProjects-->
      <includes></includes>
      <excludes>
        <exclude>de.ugoe.cs.autoquest:autoquest-runner</exclude>
      </excludes>
      <binaries>
        <includes></includes>
        <outputDirectory>lib</outputDirectory>
        <unpack>false</unpack>
      </binaries>
    </moduleSet>
    <moduleSet>
      <!-- add only autoquest-runner to the main directory -->
      <includes>
          <include>de.ugoe.cs.autoquest:autoquest-runner</include>
      </includes>
      <binaries>
        <includes></includes>
        <outputDirectory></outputDirectory>
        <unpack>false</unpack>
        <dependencySets>
          <dependencySet>
            <excludes>
              <exclude>de.ugoe.cs.autoquest*</exclude>
              <exclude>org.eclipse.swt*</exclude>
            </excludes>
            <outputDirectory>lib</outputDirectory>
            <unpack>false</unpack>
          </dependencySet>
        </dependencySets>
      </binaries>
    </moduleSet>
  </moduleSets>
  <fileSets>
    <fileSet>
      <directory>target/bin</directory>
      <outputDirectory>bin</outputDirectory>
      <fileMode>775</fileMode>
      <includes>
        <include>*</include>
      </includes>
    </fileSet>
    <fileSet>
      <directory>target/data</directory>
      <outputDirectory>data</outputDirectory>
      <excludes>
        <exclude>META-INF/**</exclude>
      </excludes>
    </fileSet>
  </fileSets>
</assembly>